/***************************************************************************
                          CdboSelectDriveDialog.h  -  description
                             -------------------
    begin                : Sun Dec 30 2001
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sf.net
 ***************************************************************************/

/***************************************************************************

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; see the file COPYING.  If not, write to
	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
	Boston, MA 02111-1307, USA.

***************************************************************************/

#ifndef CDBOSELECTDRIVEDIALOG_H
#define CDBOSELECTDRIVEDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include <kdialog.h>

#include "CdboDriveInfoPnl.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
//class DriveInfoPnl;

class CdboSelectDriveDialog : public KDialog
{
    Q_OBJECT

public:
	CdboSelectDriveDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~CdboSelectDriveDialog();
	inline bool isReady(){ return devicePnl->isReady(); }

signals:
	void load(QString);
	void loadScsi(QString);
	
protected slots:
	void loadSlot();
	void emitEmpty();
	
protected:
	CdboDriveInfoPnl* devicePnl;
	QVBoxLayout* CdboSelectDriveDialogLayout;
};

#endif
